package com.sun.xml.internal.ws.api.model.soap;

import com.sun.xml.internal.ws.api.SOAPVersion;

public abstract class SOAPBinding
{
    protected SOAPBinding.Use use;
    protected SOAPBinding.Style style;
    protected SOAPVersion soapVersion;
    protected String soapAction;
    
    public SOAPBinding() {
        this.use = SOAPBinding.Use.LITERAL;
        this.style = SOAPBinding.Style.DOCUMENT;
        this.soapVersion = SOAPVersion.SOAP_11;
        this.soapAction = "";
    }
    
    public SOAPBinding.Use getUse() {
        return this.use;
    }
    
    public SOAPBinding.Style getStyle() {
        return this.style;
    }
    
    public SOAPVersion getSOAPVersion() {
        return this.soapVersion;
    }
    
    public boolean isDocLit() {
        return this.style == SOAPBinding.Style.DOCUMENT && this.use == SOAPBinding.Use.LITERAL;
    }
    
    public boolean isRpcLit() {
        return this.style == SOAPBinding.Style.RPC && this.use == SOAPBinding.Use.LITERAL;
    }
    
    public String getSOAPAction() {
        return this.soapAction;
    }
}
